@echo off

REM  This script file is only intended to install the Proxy Auto
REM  Configuration file.  Any other use is strictly forbidden.
REM  http://www.securemecca.com

setlocal

REM Do checks for attempt to install without unzipping
if not exist proxy_en.txt (
	echo you must unzip the ZIP archive first and then go
	echo go into the BadHosts folder to do the install
	echo a good unzip program is 7-Zip:  http://www.7-zip.org/
	goto exit
)
REM The following four should not be necessary
if not exist dbgproxy_en.txt (
	echo you must unzip the ZIP archive first and then go
	echo go into the BadHosts folder to do the install
	echo a good unzip program is 7-Zip:  http://www.7-zip.org/
	goto exit
)
if not exist pornproxy_en.txt (
	echo you must unzip the ZIP archive first and then go
	echo go into the BadHosts folder to do the install
	echo a good unzip program is 7-Zip:  http://www.7-zip.org/
	goto exit
)
if not exist ProxyEditor.lnk (
	echo you must unzip the ZIP archive first and then go
	echo go into the BadHosts folder to do the install
	echo a good unzip program is 7-Zip:  http://www.7-zip.org/
	goto exit
)
if not exist DbgProxyEdit.lnk (
	echo you must unzip the ZIP archive first and then go
	echo go into the BadHosts folder to do the install
	echo a good unzip program is 7-Zip:  http://www.7-zip.org/
	goto exit
)

if "%OS%" == "Windows_NT" (
	if exist "%UserProfile%\Desktop" (
		if not exist "%UserProfile%\Desktop\ProxyEditor.lnk" (
			copy /Y ProxyEditor.lnk "%UserProfile%\Desktop\"
		)
		if not exist "%UserProfile%\Desktop\DbgProxyEdit.lnk" (
			copy /Y DbgProxyEdit.lnk "%UserProfile%\Desktop"
		)
		echo Proxy files editor links are now on users desktop
	)
	if exist "%UserProfile%\Start Menu\Programs" (
		if not exist "%UserProfile%\Start Menu\Programs\ProxyEditor.lnk" (
			copy /Y ProxyEditor.lnk "%UserProfile%\Start Menu\Programs"
		)
		if not exist "%UserProfile%\Start Menu\Programs\DbgProxyEdit.lnk" (
			copy /Y DbgProxyEdit.lnk "%UserProfile%\Start Menu\Programs"
		)
		echo Proxy files editor links are now in users Start Menu
	)
)

if exist "%SystemDrive%\etc\proxy_en.txt" goto doupdate

REM  First time install
if not exist "%SystemDrive%\etc" (
	mkdir "%SystemDrive%\etc"
)
if not exist "%SystemDrive%\etc\OneFile" (
	mkdir "%SystemDrive%\etc\OneFile"
)
copy /Y proxy_en.txt "%SystemDrive%\etc"
attrib -s "%SystemDrive%\etc\proxy_en.txt"
copy /Y proxy_en.txt "%SystemDrive%\etc\OneFile"
attrib -s "%SystemDrive%\etc\OneFile\proxy_en.txt"
copy /Y dbgproxy_en.txt "%SystemDrive%\etc"
attrib -s "%SystemDrive%\etc\dbgproxy_en.txt"
copy /Y pornproxy_en.txt "%SystemDrive%\etc"
attrib -s "%SystemDrive%\etc\pornproxy_en.txt"
cd %SystemDrive%
cd \etc
copy /Y proxy_en.txt proxy.txt
attrib -s proxy.txt
copy /Y dbgproxy_en.txt dbgproxy.txt
attrib -s dbgproxy.txt
echo proxy filter and debug proxy filter are now installed

goto exit

REM  Installed already so do update
:doupdate

if exist "%SystemDrive%\etc\oldproxy_en.txt" (
	attrib -h -r -s "%SystemDrive%\etc\oldproxy_en.txt"
	del "%SystemDrive%\etc\oldproxy_en.txt"
)

if exist  "%SystemDrive%\etc\olddbgproxy_en.txt" (
	attrib -h -r -s "%SystemDrive%\etc\olddbgproxy_en.txt"
	del "%SystemDrive%\etc\olddbgproxy_en.txt"
)

if exist "%SystemDrive%\etc\proxy_en.txt" (
	attrib -h -r -s "%SystemDrive%\etc\proxy_en.txt"
	copy /Y "%SystemDrive%\etc\proxy_en.txt" "%SystemDrive%\etc\oldproxy_en.txt"
	del "%SystemDrive%\etc\proxy_en.txt"
	echo old proxy_en.txt file has been renamed oldproxy_en.txt
)

if exist "%SystemDrive%\etc\dbgproxy_en.txt" (
	attrib -h -r -s "%SystemDrive%\etc\dbgproxy_en.txt"
	copy /Y "%SystemDrive%\etc\dbgproxy_en.txt" "%SystemDrive%\etc\olddbgproxy_en.txt"
	del "%SystemDrive%\etc\dbgproxy_en.txt"
	echo old dbgproxy_en.txt file has been renamed olddbgproxy_en.txt
)

copy /Y proxy_en.txt "%SystemDrive%\etc"
attrib -s "%SystemDrive%\etc\proxy_en.txt"
copy /Y proxy_en.txt "%SystemDrive%\etc\OneFile"
attrib -s "%SystemDrive%\etc\OneFile\proxy_en.txt"
copy /Y dbgproxy_en.txt "%SystemDrive%\etc"
attrib -s "%SystemDrive%\etc\dbgproxy_en.txt"
copy /Y pornproxy_en.txt "%SystemDrive%\etc"
attrib -s "%SystemDrive%\etc\pornproxy_en.txt"
cd %SystemDrive%
REM cd \etc
REM copy /Y proxy_en.txt proxy.txt
REM attrib -s proxy.txt
REM copy /Y dbgproxy_en.txt dbgproxy.txt
REM attrib -s dbgproxy.txt
echo proxy filter and debug proxy filter are now installed

:exit

REM echo press the Enter key to exit
pause

endlocal

